Topic: [cucumber issue]no such file to load -- cucumber/rails/activerecord

Hi,
I am using rails 3.0.3 and ruby 1.9.2 for my project
I have installed all the cucumber depencies.But its giving below error  while running      cucumber features

Using the default profile...
no such file to load -- cucumber/rails/active_record (LoadError)
/home/li/.rvm/gems/ruby-1.9.2-p180/gems/activesupport-3.0.3/lib/active_support/dependencies.rb:239:in `require'
/home/ll/.rvm/gems/ruby-1.9.2-p180/gems/activesupport-3.0.3/lib/active_support/dependencies.rb:239:in `block in require'
/home/ll/.rvm/gems/ruby-1.9.2-p180/gems/activesupport-3.0.3/lib/active_support/dependencies.rb:227:in `load_dependency'
/home/ll/.rvm/gems/ruby-1.9.2-p180/gems/activesupport-3.0.3/lib/active_support/dependencies.rb:239:in `require'
/home/ll/orkspace/Source Code_Compass_financials/features/support/env.rb:13:in `<top (required)>

my gems list is

abstract (1.0.0)
actionmailer (3.0.3, 3.0.0)
actionpack (3.0.3, 3.0.0)
activemodel (3.0.3, 3.0.0)
activerecord (3.0.3, 3.0.0)
activeresource (3.0.3, 3.0.0)
activesupport (3.0.3, 3.0.0)
arel (2.0.9, 2.0.7, 1.0.1)
authlogic (2.1.6)
builder (2.1.2)
bundler (1.0.10)
capistrano (2.5.20, 2.5.19)
capybara (0.4.1.2, 0.4.1.1)
celerity (0.8.9, 0.8.8, 0.8.7)
childprocess (0.1.8, 0.1.7, 0.1.6)
configuration (1.2.0)
cucumber (0.10.2)
cucumber-rails (0.4.0)
culerity (0.2.15)
daemon_controller (0.2.6, 0.2.5)
daemons (1.0.10)
database_cleaner (0.6.6, 0.6.4, 0.6.1)
diff-lcs (1.1.2)
erubis (2.6.6)
fastthread (1.0.7)
ffi (1.0.7, 0.6.3)
file-tail (1.0.5)
gem_plugin (0.2.3)
gherkin (2.3.5, 2.3.3)
haml (3.0.25)
highline (1.6.1)
i18n (0.5.0, 0.4.1)
json (1.5.1, 1.4.6)
json_pure (1.5.1)
launchy (0.4.0, 0.3.7)
mail (2.2.15, 2.2.6.1)
memcache-client (1.8.5)
mime-types (1.16)
mongrel (1.2.0.pre2)
mysql (2.8.1)
net-scp (1.0.4)
net-sftp (2.0.5)
net-ssh (2.1.3, 2.0.23)
net-ssh-gateway (1.0.1)
nifty-generators (0.4.5)
nokogiri (1.4.4, 1.4.3.1)
passenger (3.0.5, 3.0.4, 3.0.2)
polyglot (0.3.1)
rack (1.2.2, 1.2.1)
rack-mount (0.6.14, 0.6.13)
rack-test (0.5.7, 0.5.4)
rails (3.0.3, 3.0.0)
railties (3.0.3, 3.0.0)
rake (0.8.7)
require (0.2.7)
rspec (2.5.0, 2.4.0)
rspec-core (2.5.1, 2.4.0)
rspec-expectations (2.5.0, 2.4.0)
rspec-mocks (2.5.0, 2.4.0)
rspec-rails (2.5.0, 2.4.1)
rubyzip (0.9.4)
selenium-webdriver (0.1.4, 0.1.3, 0.1.2)
spork (0.8.4)
spruz (0.2.5, 0.2.2)
sqlite3 (1.3.3)
sqlite3-ruby (1.3.3)
term-ansicolor (1.0.5)
thor (0.14.6, 0.14.0)
treetop (1.4.9, 1.4.8)
tzinfo (0.3.25, 0.3.24, 0.3.23)
webrat (0.7.3)
xpath (0.1.3)

Can anybody help

Re: [cucumber issue]no such file to load -- cucumber/rails/activerecord

I have the same problem. Did anybody solve it?

Re: [cucumber issue]no such file to load -- cucumber/rails/activerecord

You have to generate an updated features/support/env.rb file...basically, reinstall cucumber:

rails g cucumber:install